namespace Domain.Entities.Common.ValueObject;

public static class SettlementBankCode
{
    public sealed record Item(string Value, string Text);

    public static IReadOnlyList<Item> List { get; } = new List<Item>
    {
        new("002", "KDB산업은행"),
        new("003", "IBK기업은행"),
        new("004", "KB국민은행"),
        new("007", "수협은행"),
        new("011", "NH농협은행"),
        new("020", "우리은행"),
        new("023", "SC제일은행"),
        new("027", "한국씨티은행"),
        new("031", "DGB대구은행"),
        new("032", "부산은행"),
        new("034", "광주은행"),
        new("035", "제주은행"),
        new("037", "전북은행"),
        new("039", "경남은행"),
        new("045", "새마을금고"),
        new("048", "신협"),
        new("071", "우체국"),
        new("081", "하나은행"),
        new("088", "신한은행"),
        new("089", "케이뱅크"),
        new("090", "카카오뱅크"),
        new("092", "토스뱅크")
    };
}